Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.ivoa.registry.search
Interface Where2DOMConstants

All Known Implementing Classes:
  Where2DOM, Where2DOMTokenManager

    public interface Where2DOMConstants

Field Summary
`static int` | `DEFAULT`
`static int` | `DIGIT`
`static int` | `EOF`
`static int` | `FLOAT`
`static int` | `INTEGER`
`static int` | `K_abs`
`static int` | `K_acos`
`static int` | `K_ALL`
`static int` | `K_AND`
`static int` | `K_ANY`
`static int` | `K_AS`
`static int` | `K_ASC`
`static int` | `K_asin`
`static int` | `K_atan`
`static int` | `K_atan2`
`static int` | `K_AVG`
`static int` | `K_BETWEEN`
`static int` | `K_BY`
`static int` | `K_ceiling`
`static int` | `K_cos`
`static int` | `K_COUNT`
`static int` | `K_degrees`
`static int` | `K_DESC`
`static int` | `K_DISTINCT`
`static int` | `K_EXISTS`
`static int` | `K_exp`
`static int` | `K_floor`
`static int` | `K_FROM`
`static int` | `K_GROUP`
`static int` | `K_HAVING`
`static int` | `K_IN`
`static int` | `K_INTO`
`static int` | `K_IS`
`static int` | `K_LIKE`
`static int` | `K_log`
`static int` | `K_log10`
`static int` | `K_MAX`
`static int` | `K_MIN`
`static int` | `K_NOT`
`static int` | `K_NOWAIT`
`static int` | `K_OR`
`static int` | `K_ORDER`
`static int` | `K_pi`
`static int` | `K_power`
`static int` | `K_radians`
`static int` | `K_rand`
`static int` | `K_REGION`
`static int` | `K_round`
`static int` | `K_SELECT`
`static int` | `K_sin`
`static int` | `K_sqrt`
`static int` | `K_square`
`static int` | `K_SUM`
`static int` | `K_tan`
`static int` | `K_TOP`
`static int` | `K_truncate`
`static int` | `K_UNION`
`static int` | `K_WHERE`
`static int` | `K_XMATCH`
`static int` | `LETTER`
`static int` | `LINE_COMMENT`
`static int` | `MULTI_LINE_COMMENT`
`static int` | `S_CHAR_LITERAL`
`static int` | `S_IDENTIFIER`
`static int` | `S_INTEGER`
`static int` | `S_PROTECTED`
`static int` | `S_QUOTED_IDENTIFIER`
`static int` | `S_REAL`
`static int` | `S_TABLE_IDENTIFIER`
`static int` | `S_XPATH`
`static int` | `S_XPATH_IDENTIFIER`
`static int` | `SPECIAL_CHARS`
`static java.lang.String[]` | `tokenImage`

Field Detail

### EOF

    static final int EOF

See Also:
  Constant Field Values

### K_ALL

    static final int K_ALL

See Also:
  Constant Field Values

### K_AND

    static final int K_AND

See Also:
  Constant Field Values

### K_ANY

    static final int K_ANY

See Also:
  Constant Field Values

### K_AS

    static final int K_AS

See Also:
  Constant Field Values

### K_ASC

    static final int K_ASC

See Also:
  Constant Field Values

### K_BETWEEN

    static final int K_BETWEEN

See Also:
  Constant Field Values

### K_BY

    static final int K_BY

See Also:
  Constant Field Values

### K_DESC

    static final int K_DESC

See Also:
  Constant Field Values

### K_DISTINCT

    static final int K_DISTINCT

See Also:
  Constant Field Values

### K_EXISTS

    static final int K_EXISTS

See Also:
  Constant Field Values

### K_FROM

    static final int K_FROM

See Also:
  Constant Field Values

### K_GROUP

    static final int K_GROUP

See Also:
  Constant Field Values

### K_HAVING

    static final int K_HAVING

See Also:
  Constant Field Values

### K_IN

    static final int K_IN

See Also:
  Constant Field Values

### K_INTO

    static final int K_INTO

See Also:
  Constant Field Values

### K_IS

    static final int K_IS

See Also:
  Constant Field Values

### K_LIKE

    static final int K_LIKE

See Also:
  Constant Field Values

### K_NOT

    static final int K_NOT

See Also:
  Constant Field Values

### K_NOWAIT

    static final int K_NOWAIT

See Also:
  Constant Field Values

### K_OR

    static final int K_OR

See Also:
  Constant Field Values

### K_ORDER

    static final int K_ORDER

See Also:
  Constant Field Values

### K_SELECT

    static final int K_SELECT

See Also:
  Constant Field Values

### K_TOP

    static final int K_TOP

See Also:
  Constant Field Values

### K_UNION

    static final int K_UNION

See Also:
  Constant Field Values

### K_WHERE

    static final int K_WHERE

See Also:
  Constant Field Values

### K_AVG

    static final int K_AVG

See Also:
  Constant Field Values

### K_COUNT

    static final int K_COUNT

See Also:
  Constant Field Values

### K_MAX

    static final int K_MAX

See Also:
  Constant Field Values

### K_MIN

    static final int K_MIN

See Also:
  Constant Field Values

### K_SUM

    static final int K_SUM

See Also:
  Constant Field Values

### K_asin

    static final int K_asin

See Also:
  Constant Field Values

### K_acos

    static final int K_acos

See Also:
  Constant Field Values

### K_atan

    static final int K_atan

See Also:
  Constant Field Values

### K_atan2

    static final int K_atan2

See Also:
  Constant Field Values

### K_cos

    static final int K_cos

See Also:
  Constant Field Values

### K_sin

    static final int K_sin

See Also:
  Constant Field Values

### K_tan

    static final int K_tan

See Also:
  Constant Field Values

### K_abs

    static final int K_abs

See Also:
  Constant Field Values

### K_ceiling

    static final int K_ceiling

See Also:
  Constant Field Values

### K_degrees

    static final int K_degrees

See Also:
  Constant Field Values

### K_exp

    static final int K_exp

See Also:
  Constant Field Values

### K_floor

    static final int K_floor

See Also:
  Constant Field Values

### K_log

    static final int K_log

See Also:
  Constant Field Values

### K_log10

    static final int K_log10

See Also:
  Constant Field Values

### K_pi

    static final int K_pi

See Also:
  Constant Field Values

### K_power

    static final int K_power

See Also:
  Constant Field Values

### K_radians

    static final int K_radians

See Also:
  Constant Field Values

### K_rand

    static final int K_rand

See Also:
  Constant Field Values

### K_round

    static final int K_round

See Also:
  Constant Field Values

### K_square

    static final int K_square

See Also:
  Constant Field Values

### K_sqrt

    static final int K_sqrt

See Also:
  Constant Field Values

### K_truncate

    static final int K_truncate

See Also:
  Constant Field Values

### K_REGION

    static final int K_REGION

See Also:
  Constant Field Values

### K_XMATCH

    static final int K_XMATCH

See Also:
  Constant Field Values

### S_REAL

    static final int S_REAL

See Also:
  Constant Field Values

### S_INTEGER

    static final int S_INTEGER

See Also:
  Constant Field Values

### FLOAT

    static final int FLOAT

See Also:
  Constant Field Values

### INTEGER

    static final int INTEGER

See Also:
  Constant Field Values

### DIGIT

    static final int DIGIT

See Also:
  Constant Field Values

### LINE_COMMENT

    static final int LINE_COMMENT

See Also:
  Constant Field Values

### MULTI_LINE_COMMENT

    static final int MULTI_LINE_COMMENT

See Also:
  Constant Field Values

### S_TABLE_IDENTIFIER

    static final int S_TABLE_IDENTIFIER

See Also:
  Constant Field Values

### S_XPATH

    static final int S_XPATH

See Also:
  Constant Field Values

### S_IDENTIFIER

    static final int S_IDENTIFIER

See Also:
  Constant Field Values

### S_XPATH_IDENTIFIER

    static final int S_XPATH_IDENTIFIER

See Also:
  Constant Field Values

### S_PROTECTED

    static final int S_PROTECTED

See Also:
  Constant Field Values

### LETTER

    static final int LETTER

See Also:
  Constant Field Values

### SPECIAL_CHARS

    static final int SPECIAL_CHARS

See Also:
  Constant Field Values

### S_CHAR_LITERAL

    static final int S_CHAR_LITERAL

See Also:
  Constant Field Values

### S_QUOTED_IDENTIFIER

    static final int S_QUOTED_IDENTIFIER

See Also:
  Constant Field Values

### DEFAULT

    static final int DEFAULT

See Also:
  Constant Field Values

### tokenImage

    static final java.lang.String[] tokenImage

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD